<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_60) on Tue Apr 26 16:24:20 CEST 2016 -->
<title>S-Index</title>
<meta name="date" content="2016-04-26">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-18.html">Prev Letter</a></li>
<li><a href="index-20.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-19.html" target="_top">Frames</a></li>
<li><a href="index-19.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocket.html#sendMessage-java.lang.String-">sendMessage(String)</a></span> - Method in class aasbo.socket.<a href="../aasbo/socket/WebSocket.html" title="class in aasbo.socket">WebSocket</a></dt>
<dd>
<div class="block">Sender en melding til alle klienter som er registret som aktive</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocket.html#sendMessage-byte:A-">sendMessage(byte[])</a></span> - Method in class aasbo.socket.<a href="../aasbo/socket/WebSocket.html" title="class in aasbo.socket">WebSocket</a></dt>
<dd>
<div class="block">Sender data til alle klienter som er registret som aktive</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocketClient.html#sendMessage-java.lang.String-">sendMessage(String)</a></span> - Method in class aasbo.socket.<a href="../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></dt>
<dd>
<div class="block">Sender en melding/data til kun denne klienten</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocketClient.html#sendMessage-byte:A-">sendMessage(byte[])</a></span> - Method in class aasbo.socket.<a href="../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></dt>
<dd>
<div class="block">Sender data til kun denne klienten</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONException.html#serialVersionUID">serialVersionUID</a></span> - Static variable in exception aasbo.json.<a href="../aasbo/json/JSONException.html" title="class in aasbo.json">JSONException</a></dt>
<dd>
<div class="block">Serialization ID</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocket.html#setListener-aasbo.listeners.WebSocketClientListener-">setListener(WebSocketClientListener)</a></span> - Method in class aasbo.socket.<a href="../aasbo/socket/WebSocket.html" title="class in aasbo.socket">WebSocket</a></dt>
<dd>
<div class="block">Gjør det mulig for "brukere" (objekter) av WebSocket klassen å lytte på
 hendelser som skjer i WebSocketen</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocketClient.html#setListener-aasbo.listeners.ClientListener-">setListener(ClientListener)</a></span> - Method in class aasbo.socket.<a href="../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></dt>
<dd>
<div class="block">Brukes av WebSocket til å lytte på handlinger som skjer hos hver klient</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONArray.html#similar-java.lang.Object-">similar(Object)</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONArray.html" title="class in aasbo.json">JSONArray</a></dt>
<dd>
<div class="block">Determine if two JSONArrays are similar.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONObject.html#similar-java.lang.Object-">similar(Object)</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></dt>
<dd>
<div class="block">Determine if two JSONObjects are similar.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/XMLTokener.html#skipPast-java.lang.String-">skipPast(String)</a></span> - Method in class aasbo.json.<a href="../aasbo/json/XMLTokener.html" title="class in aasbo.json">XMLTokener</a></dt>
<dd>
<div class="block">Skip characters until past the requested string.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONTokener.html#skipTo-char-">skipTo(char)</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONTokener.html" title="class in aasbo.json">JSONTokener</a></dt>
<dd>
<div class="block">Skip characters until the next character is the requested character.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/XML.html#SLASH">SLASH</a></span> - Static variable in class aasbo.json.<a href="../aasbo/json/XML.html" title="class in aasbo.json">XML</a></dt>
<dd>
<div class="block">The Character '/'.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocket.html#socket">socket</a></span> - Variable in class aasbo.socket.<a href="../aasbo/socket/WebSocket.html" title="class in aasbo.socket">WebSocket</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONWriter.html#stack">stack</a></span> - Variable in class aasbo.json.<a href="../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></dt>
<dd>
<div class="block">The object/array stack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocket.html#startSocket--">startSocket()</a></span> - Method in class aasbo.socket.<a href="../aasbo/socket/WebSocket.html" title="class in aasbo.socket">WebSocket</a></dt>
<dd>
<div class="block">Denne metoden aksepterer alle klienter somn prøver å koble seg opp og
 sender klientene vidre til en annen metode som tar seg av websocket delen</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/frames/FrameReader.html#stream">stream</a></span> - Variable in class aasbo.frames.<a href="../aasbo/frames/FrameReader.html" title="class in aasbo.frames">FrameReader</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONObject.html#stringToValue-java.lang.String-">stringToValue(String)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></dt>
<dd>
<div class="block">Try to convert a string into a number, boolean, or null.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/XML.html#stringToValue-java.lang.String-">stringToValue(String)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/XML.html" title="class in aasbo.json">XML</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>
<div class="block"><span class="deprecationComment">Use <a href="../aasbo/json/JSONObject.html#stringToValue-java.lang.String-"><code>JSONObject.stringToValue(String)</code></a> instead.</span></div>
</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONTokener.html#syntaxError-java.lang.String-">syntaxError(String)</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONTokener.html" title="class in aasbo.json">JSONTokener</a></dt>
<dd>
<div class="block">Make a JSONException to signal a syntax error.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-18.html">Prev Letter</a></li>
<li><a href="index-20.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-19.html" target="_top">Frames</a></li>
<li><a href="index-19.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
